Name:		xfce4-datetime-plugin
Version:	0.6.0
Release:	1%{?dist}.1
Summary:	Date/time plugin for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.0-multilib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.99.2, libxfcegui4-devel  >= 4.3.99.2, libxml2-devel
BuildRequires:	intltool, gettext, perl(XML::Parser), dbus-devel >= 0.22
Requires:	xfce4-panel >= 4.4.0

%description
An alternative clock plugin for the Xfce panel. A calendar appears when you 
left-click on it.

%prep
%setup -q
%patch0 -b .multilib

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/panel-plugins/*.desktop

%changelog
* Thu Jul 10 2008 Christoph Wickert <fedora christoph-wickert de> - 0.6.0-1.fc8.1
- BuildRequire gettext on F-8

* Thu Jul 03 2008 Christoph Wickert <fedora christoph-wickert de> - 0.6.0-1
- Update to 0.6.0
- BuildRequire intltool
- No longer BuildRequire dbus-devel (requirement dropped upstream)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.0-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-3
- Rebuild for BuildID feature
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-2
- Multilib fix for desktop file (#228168).

* Sat Feb 24 2007 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-1
- Update to 0.5.0.

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4.1-2
- Rebuild for Xfce 4.4.
- Patch datetime.c to 0.4.2.

* Fri Dec 22 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.1-1
- Update to 0.4.1.

* Sun Oct 15 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-1
- Update to 0.4.0 on Xfce 4.4. RC1.
- Fix %%defattr.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.1-8
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-7
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-6
- Rebuild for Fedora Extras 5.

* Tue Nov 29 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-5
- Add libxfcegui4-devel BuildReqs.

* Fri Nov 25 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-4
- Rebuild with new source because of md5sum mismatch.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.1-1.fc3.cw
- Initial RPM release.
